## libqapt 3.0.1

=== debian/changelog ===
libqapt (3.0.1-0ubuntu1.1) wily; urgency=medium

  * No-change rebuild against libapt-pkg4.16

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Oct 2015 16:33:35 +0200

libqapt (3.0.1-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release.
  * Drop all patches since all are upstreamed

 -- Harald Sitter <sitter@kde.org>  Wed, 23 Sep 2015 12:29:49 +0200

libqapt (3.0.0-4ubuntu1) wily; urgency=medium

  * Mark as optional a couple of symbols gone after building with gcc 5.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 22 Jul 2015 13:42:24 +0200

libqapt (3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Add gstreamer-qapt Breaks/Replaces for gstreamer1.0-qapt (Closes: #791833)
    again, Thanks to Andreas Beckman for the corrected solution

 -- Scott Kitterman <scott@kitterman.com>  Thu, 23 Jul 2015 16:40:44 -0400

libqapt (3.0.0-3) unstable; urgency=medium

  * Update copyright information.
  * Add Breaks/Replaces for gstreamer0.10-qapt. (Closes: #791833) Thanks to
    Andreas Beckman.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Jul 2015 09:43:39 +0200

libqapt (3.0.0-2) unstable; urgency=medium

  [ Debian/Kubuntu KDE Extras Team ]
  * Prepare release to unstable.

  [ Maximiliano Curia ]
  * New patch: add_kf5iconthemes

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 11:54:53 +0200

libqapt (3.0.0-1) experimental; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update watch file.
  * Build depend on pkg-kde-tools to (>> 0.15.15) so we make sure we are
    building against a pkg-kde-tools which provides the kde frameworks
    module.

  [ Dmitry Shachnev ]
  * Export QT_SELECT=qt5 in debian/rules to make lconvert call succeed.
  * Drop freeze_with_apt-listbugs_and_apt-listchanges.diff, applied upstream.
  * In libqapt-runtime add Breaks/Replaces against libdebconf-kde0 (<< 0.3~)
    because the patch freeze_with_apt-listbugs_and_apt-listchanges.diff in this
    package and apt-listbugs hang debconf-kde because some debconf commands were
    not implemented in debconf-kde.
  * Don't call git-import-orig in debian/watch, it doesn't work properly with
    branches, for instance if you have an 'experimental' branch with the latest
    version of the software it will commit to the master branch anyway.

  [ Maximiliano Curia ]
  * Prepare experimental version.
  * Add myself as Uploader.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Remove patch: remove_tests.diff
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Feb 2015 09:28:30 +0100

libqapt (3.0.0-0ubuntu2.2) vivid; urgency=medium

  * Add upstream_cmake-configure-kf5iconthemes.diff to fix compile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Apr 2015 13:49:23 +0200

libqapt (3.0.0-0ubuntu2.1) vivid; urgency=medium

  * SRU two fixes LP: #1448929
   - make sure that the changesdialog in muon apps shows the right
    packages with the right states
   - upstream_fix-heldness-state.diff
   - upstream_exclude-broken-state-changes.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Apr 2015 10:38:24 +0200

qapt (2.2.0-1) experimental; urgency=low

  [ Sune Vuorela ]
  * Add me to uploaders
  * Remove Jose Manuel Santamaria Lema from uploaders.
  * Remove the unused DMUA-field.

  [ Floris-Andrei Stoica-Marcu ]
  * New Upstream Release
  * Updated package structure, now it is unmerged
  * Bumped up version of libqapt-runtime
  * Added new symbol file for qapt-dbg
  * Disabled tests that broke build
  * Updated dependencies

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Sep 2014 14:19:55 +0200

qapt (1.4.0-1) experimental; urgency=low

  * New upstream release.
  * Remove upstream_directly-include-declaration-of-MD5Summation.patch, applied
    upstream.
  * Add freeze_with_apt-listbugs_and_apt-listchanges.diff.
  * Sync debian/copyright file with Ubuntu, fixes a lintian warning.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Sep 2012 22:42:03 +0200

=== debian/control ===
Source: libqapt
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Floris-Andrei Stoica-Marcu <floris.sm@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
           José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.14),
               kio-dev (>= 5.0.0),
               libapt-pkg-dev (>= 0.8.0),
               libdebconf-kde-dev (>= 1.0.0),
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libkf5auth-dev (>= 5.0.0),
               libkf5coreaddons-dev (>= 5.0.0),
               libkf5i18n-dev (>= 5.0.0),
               libkf5iconthemes-dev (>= 5.0.0),
               libkf5runner-dev (>= 5.0.0),
               libkf5textwidgets-dev (>= 5.0.0),
               libkf5widgetsaddons-dev (>= 5.0.0),
               libkf5windowsystem-dev (>= 5.0.0),
               libpolkit-qt5-1-dev (>= 0.112),
               libxapian-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               plasma-framework-dev,
               qtbase5-dev (>= 5.2.0),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/qapt
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/qapt.git

Package: libqapt3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqapt3-runtime (= ${binary:Version})
Description: QApt library package
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the QApt library

Package: libqapt-dev
Section: libdevel
Architecture: any
Depends: libapt-pkg-dev,
         libqapt3 (= ${binary:Version}),
         qtbase5-dev (>= 5.2.0),
         ${misc:Depends}
Description: Development headers for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the development headers for the QApt library

Package: libqapt3-runtime
Architecture: any
Depends: polkit-kde-agent-1 | policykit-1-gnome,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Runtime components for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the runtime components necessary for applications using
 the QApt library to run.

Package: qapt-utils
Architecture: all
Depends: kde-thumbnailer-deb (>= ${source:Version}),
         plasma-runner-installer (>= ${source:Version}),
         qapt-batch (>= ${source:Version}),
         qapt-deb-installer (>= ${source:Version}),
         ${misc:Depends}
Recommends: gstreamer-qapt
Description: complete collection of QApt package management utilities
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This is a metapackage depending on all of QApt's extra package management
 utilities.

Package: qapt-batch
Architecture: any
Depends: libqapt3-runtime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Batch package manager for KDE
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 QApt Batch is a simple GUI for doing batch package management operations.
 It can install and remove packages, as well as update the package cache via a
 command line interface. It also has an attach function invokable via the
 command line. QApt Batch is a drop-in replacement for the "install-package"
 batch package management tool.

Package: qapt-deb-installer
Architecture: any
Depends: libqapt3-runtime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: tool for installing deb files
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 The QApt deb installer allows you to install local .deb files. The QApt Deb
 Installer resolves and downloads dependencies. The APT package manager does
 the same, but only for remote packages.

Package: plasma-runner-installer
Architecture: any
Depends: qapt-batch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: command-not-found
Description: KRunner plugin for installing packages
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This KRunner plugin offers the option to install an application if its
 command is typed in to KRunner and the application is not already
 installed.

Package: kde-thumbnailer-deb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin, konqueror
Description: KDE plugin to show thumbnails of Debian package files
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
 packages (.deb files) as thumbnails.

Package: gstreamer-qapt
Architecture: any
Depends: libqapt3-runtime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: gstreamer0.10-qapt (<< 3~), gstreamer1.0-qapt (<< 3~)
Breaks: gstreamer0.10-qapt (<< 3~), gstreamer1.0-qapt (<< 3~)
Description: GStreamer plugin to install codecs using QApt
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: gstreamer0.10-qapt
Section: oldlibs
Architecture: all
Depends: gstreamer-qapt (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: qapt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libqapt3 (= ${binary:Version}), ${misc:Depends}
Description: QApt debugging symbols
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This package contains debugging symbols for QApt.
 When QApt crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a QApt crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

%:
	dh $@ --with kf5 --parallel --dbg-package=qapt-dbg

override_dh_install:
	dh_install --fail-missing

override_dh_auto_test:
	# Disable dh_auto_test
	:

## libqapt 3.0.2

=== CMakeLists.txt ===
project(qapt)
cmake_minimum_required(VERSION 2.8.12)

set(PROJECT_VERSION_MAJOR 3)
set(PROJECT_VERSION_MINOR 0)
set(PROJECT_VERSION_PATCH 2)
set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}" )
set(PROJECT_SOVERSION ${PROJECT_VERSION_MAJOR})

find_package(ECM 0.0.14 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH
    ${ECM_MODULE_PATH}
    ${ECM_KDE_MODULE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMGeneratePriFile) # This needs InstallDirs

# Turn exceptions on
kde_enable_exceptions()

set(REQUIRED_QT_VERSION 5.2.0) # Used in QAptConfig
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus Widgets)

find_package(Xapian REQUIRED)
find_package(AptPkg REQUIRED)

find_package(PolkitQt5-1 0.112 REQUIRED)

# Find the required Libaries
include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${POLKITQT-1_INCLUDE_DIR}
    ${XAPIAN_INCLUDE_DIR}
    ${APTPKG_INCLUDE_DIR})

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX QAPT
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/qaptversion.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/QAptConfigVersion.cmake"
                  SOVERSION ${PROJECT_SOVERSION})

set(QAPT_WORKER_VERSION ${PROJECT_SOVERSION})
set(QAPT_WORKER_RDN org.kubuntu.qaptworker)
set(QAPT_WORKER_RDN_VERSIONED ${QAPT_WORKER_RDN}${QAPT_WORKER_VERSION})

# For forwarding into C++ convert them into properly excaped strings.
set(QAPT_WORKER_VERSION_STRING \"${QAPT_WORKER_VERSION}\")
set(QAPT_WORKER_RDN_VERSIONED_STRING \"${QAPT_WORKER_RDN_VERSIONED}\")

add_definitions(-DQAPT_WORKER_VERSION_STRING=${QAPT_WORKER_VERSION_STRING})
add_definitions(-DQAPT_WORKER_RDN_VERSIONED_STRING=${QAPT_WORKER_RDN_VERSIONED_STRING})

# Also forward version for utils.
add_definitions(-DCMAKE_PROJECT_VERSION=\"${PROJECT_VERSION}\")

set(KF5_DEP_VERSION "5.0.0")

# Only used to install worker actions
find_package(KF5Auth ${KF5_DEP_VERSION})

# Used for utils
find_package(KF5CoreAddons ${KF5_DEP_VERSION})
find_package(KF5I18n ${KF5_DEP_VERSION})
find_package(KF5KIO ${KF5_DEP_VERSION})
find_package(KF5Runner ${KF5_DEP_VERSION})
find_package(KF5TextWidgets ${KF5_DEP_VERSION})
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION})
find_package(KF5WindowSystem ${KF5_DEP_VERSION})
find_package(KF5IconThemes ${KF5_DEP_VERSION})

find_package(DebconfKDE 1.0)
find_package(GStreamer 1.0)
find_package(GLIB2 2.0)

if (KF5CoreAddons_FOUND
        AND KF5I18n_FOUND
        AND KF5KIO_FOUND
        AND KF5Runner_FOUND
        AND KF5TextWidgets_FOUND
        AND KF5WidgetsAddons_FOUND
        AND KF5WindowSystem_FOUND
        AND KF5IconThemes_FOUND
        AND DebconfKDE_FOUND)
    set(WITH_UTILS true)
endif()

if (WITH_UTILS AND GSTREAMER_FOUND AND GLIB2_FOUND)
    set(WITH_GSTREAMER true)
    add_definitions(${GSTREAMER_DEFINITIONS})
endif()

add_feature_info(qapt-utils WITH_UTILS "Runtime utilities using KDE frameworks")
add_feature_info(qapt-gst-helper WITH_GSTREAMER "GStreamer codec helper util")

message(WARNING "gettext and tr in the same source is insanely tricky, maybe we should give some ki18n to qapt...")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/QApt")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/QAptConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/QAptConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR})

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/QAptConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/QAptConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)
install(EXPORT QAptTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE QAptTargets.cmake
        NAMESPACE QApt:: )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qaptversion.h
        DESTINATION include/qapt
        COMPONENT Devel)

add_subdirectory(autotests)
add_subdirectory(src)

if(WITH_UTILS)
    add_subdirectory(utils)

    #Do not remove or modify these.  The release script substitutes in for these
    #comments with appropriate doc and translation directories.
    
find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

    #DOC_SUBDIR
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libqapt.pc.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/libqapt.pc
    @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libqapt.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
    COMPONENT Devel)

ecm_generate_pri_file(BASE_NAME QApt
    LIB_NAME QApt
    DEPS "core widgets dbus"
    FILENAME_VAR PRI_FILENAME
    INCLUDE_INSTALL_DIR include/QApt)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== utils/CMakeLists.txt ===
add_subdirectory(qapt-batch)
add_subdirectory(qapt-deb-installer)
add_subdirectory(qapt-deb-thumbnailer)
add_subdirectory(plasma-runner-installer)

if(WITH_GSTREAMER)
    add_definitions(-fexceptions)
    add_definitions(-DGST_DISABLE_DEPRECATED)
    add_subdirectory(qapt-gst-helper)
endif()

=== utils/qapt-deb-thumbnailer/CMakeLists.txt ===
add_library(debthumbnailer MODULE DebThumbnailer.cpp)

target_link_libraries(debthumbnailer
    KF5::KIOWidgets
    QApt::Main)

message(WARNING "make sure thumbnailer actually works")

install(TARGETS debthumbnailer DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES debthumbnailer.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== utils/qapt-gst-helper/CMakeLists.txt ===
set(qapt-gst-helper_SRCS
    main.cpp
    GstMatcher.cpp
    PluginFinder.cpp
    PluginHelper.cpp
    PluginInfo.cpp)

include_directories(${GSTREAMER_INCLUDE_DIR}
    ${GLIB2_INCLUDE_DIR})

add_executable(qapt-gst-helper ${qapt-gst-helper_SRCS})

target_link_libraries(qapt-gst-helper
    ${GSTREAMER_LIBRARIES}
    ${GLIB2_LIBRARIES}
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
    KF5::WidgetsAddons
    KF5::WindowSystem
    QApt::Main)

install(TARGETS qapt-gst-helper DESTINATION ${LIBEXEC_INSTALL_DIR})

=== debian/changelog ===
libqapt (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* fields.
  * Small update to copyright.
  * Update symbols file.
  * Backport upstream commit a58eab74ee9881d10e0f24a3ed216ed71ba03bf5 to fix
    build; patch upstream_include-random-for-std-default_random_engine.patch.
    (Closes: #822497)
  * Link in as-needed mode.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2016 17:05:58 +0200

libqapt (3.0.1-1) unstable; urgency=medium

  * New upstream release (3.0.1).
  * Drop upstream applied patches.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 26 Sep 2015 08:13:16 +0200

libqapt (3.0.0-6) unstable; urgency=medium

  * Add support for APT 1.1. (Closes: #798705) Thanks to Julian Andres Klode

 -- Maximiliano Curia <maxy@debian.org>  Mon, 14 Sep 2015 02:27:41 +0200

libqapt (3.0.0-5) unstable; urgency=medium

  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 22:17:00 +0200

qapt (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the symbols file (Xilin Sun). Closes: #746894, #746263.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 12:39:10 +0200

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
                qtbase5-dev (>= 5.2.0),
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/qapt
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/qapt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/qapt.git/
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/qapt.git
 
 Package: libqapt3
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export QT_SELECT=qt5
+
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
 	dh $@ --with kf5 --parallel --dbg-package=qapt-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/libqapt/([\d.]+)/src/libqapt-([\d.]+)\.tar\.xz

## libqapt 3.0.3

=== debian/changelog ===
libqapt (3.0.3-1ubuntu1) artful; urgency=medium

  * Merge with debian;remaining changes
    - Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
      avoid possible spurious test failures.
    - Keep kubuntu Vcs fields
    - Recommends on apt-xapian-index

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Jun 2017 19:50:18 +0100

libqapt (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Change the priority of the transitional gstreamer0.10-qapt to extra.
  * Mark libqapt3 and libqapt-dev as "Multi-Arch: same".
  * Remove debian/TODO, obsolete now.
  * Fix path to qapt-gst-helper passed to update-alternatives in postinst
    and prerm of gstreamer-qapt.
  * Replace the deprecated kio-dev build dependency with libkf5kio-dev.
  * Remove unused meta/upstream_scm.json file.
  * Remove qapt-dbg in favour of the -dbgsym packages.
  * Update the patches:
    - upstream_include-random-for-std-default_random_engine.patch: drop,
      backported from upstream
  * Switch Homepage to the upstream VCS, since projects.kde.org is dead.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 10:14:59 +0200

libqapt (3.0.3-0ubuntu1) zesty; urgency=medium

  [ Rik Mills ]
  * debian/patches: drop upstream_include-random-for-std-default_random_engine.patch
    applied upstream.
  * Update to new build depend name: kio-dev -> libkf5kio-dev
  * New upstream bugfix release (3.0.3)
    
 -- Rik Mills <rikmills@kubuntu.org>  Thu, 06 Apr 2017 17:41:59 +0100

libqapt (3.0.2-0ubuntu6) UNRELEASED; urgency=medium

  * debian/patches: drop upstream_include-random-for-std-default_random_engine.patch
    applied upstream.
    
 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Mar 2017 16:24:06 +0000

libqapt (3.0.2-0ubuntu5) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Mar 2017 13:33:23 +0000

libqapt (3.0.2-0ubuntu4) zesty; urgency=medium

  * Rebuild against new libxapian30.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Nov 2016 21:41:18 +0100

libqapt (3.0.2-0ubuntu3) yakkety; urgency=medium

  * libqapt3 should recommend apt-xapian-index for the package index
    access which is required for most operations (LP: #1530523)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Jul 2016 09:43:26 +0000

libqapt (3.0.2-0ubuntu2) yakkety; urgency=medium

  * LP: #1597425. Fix build failure.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jun 2016 18:05:00 +0200

libqapt (3.0.2-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New release 3.0.2, which adds extra functionality in Muon and prevent 
    crashes due to no signals. Closes (LP: #1562406)

  [ Scott Kitterman ]
  * Update debian/libqapt3.symbols for 3.0.2 changes

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Apr 2016 18:31:21 -0400

libqapt (3.0.1-1build1) xenial; urgency=medium

  * no change rebuild for libapt-pkg5.0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Dec 2015 08:06:59 +0100

libqapt (3.0.1-0ubuntu2) UNRELEASED; urgency=medium

  * Update VCS to reflect move to Launchpad

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 26 Jul 2016 22:41:23 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 0.0.14),
-               kio-dev (>= 5.0.0),
                libapt-pkg-dev (>= 0.8.0),
                libdebconf-kde-dev (>= 1.0.0),
                libglib2.0-dev,
@@ -20,6 +19,7 @@
                libkf5coreaddons-dev (>= 5.0.0),
                libkf5i18n-dev (>= 5.0.0),
                libkf5iconthemes-dev (>= 5.0.0),
+               libkf5kio-dev (>= 5.0.0),
                libkf5runner-dev (>= 5.0.0),
                libkf5textwidgets-dev (>= 5.0.0),
                libkf5widgetsaddons-dev (>= 5.0.0),
@@ -33,14 +33,15 @@
                qttools5-dev,
                qttools5-dev-tools
 Standards-Version: 3.9.8
-Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/qapt.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/qapt.git
+Homepage: https://cgit.kde.org/libqapt.git/
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libqapt
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libqapt
 
 Package: libqapt3
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqapt3-runtime (= ${binary:Version})
+Recommends: apt-xapian-index, libqapt3-runtime (= ${binary:Version})
 Description: QApt library package
  LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
  implementation using libapt-pkg. The aim is to provide a sane API for
@@ -52,6 +53,7 @@
 Package: libqapt-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libapt-pkg-dev,
          libqapt3 (= ${binary:Version}),
          qtbase5-dev (>= 5.2.0),
@@ -160,6 +162,7 @@
 
 Package: gstreamer0.10-qapt
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: gstreamer-qapt (>= ${source:Version}), ${misc:Depends}
 Description: transitional dummy package

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5 --parallel

override_dh_install:
	dh_install --fail-missing

override_dh_auto_test:
	# Disable dh_auto_test
	:

override_dh_strip:
	dh_strip --dbgsym-migration='qapt-dbg (<< 3.0.3-1~)'

## libqapt 3.0.4

=== example/CMakeLists.txt ===
project(qapttest)
cmake_minimum_required(VERSION 2.6.0)

find_package(KDE4 REQUIRED)
include(FindPkgConfig REQUIRED)
find_package(QApt REQUIRED)
include(KDE4Defaults)

set(qapttest_SRCS
    main.cpp
    qapttest.cpp
    cacheupdatewidget.cpp
    commitwidget.cpp
 )

include( FindPkgConfig )

add_executable(qaptest ${qapttest_SRCS})

target_link_libraries(qaptest ${KDE4_KDEUI_LIBS}
                              ${KDE4_KIO_LIBS}
                              ${QAPT_LIBRARY}
                              DebconfKDE::Main)

install(TARGETS qaptest ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
libqapt (3.0.4-0ubuntu1) bionic; urgency=medium

  * New upstream bugfix release (3.0.4)
  * Drop upstream applied patch:
    - upstream_not-check-status-file-for-timestamp.patch

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Mar 2018 18:11:28 +0000

libqapt (3.0.3-2ubuntu2) bionic; urgency=medium

  * debian/patches: upstream_not-check-status-file-for-timestamp.patch
    Upstream patch to prevent excessive update-apt-xapian-index index
    rebuilds by Muon (LP: #1741767) & KDE Bug: 390476

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 26 Feb 2018 21:44:16 +0000

libqapt (3.0.3-2ubuntu1) bionic; urgency=medium

  * Merge with debian;remaining changes
    - Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
      avoid possible spurious test failures.
    - Keep kubuntu Vcs fields
    - Recommends on apt-xapian-index

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Dec 2017 09:22:31 +0000

libqapt (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Bump Priority of transitional gstreamer0.10-qapt to optional.
  * Switch libqapt3 to section libs.
  * Update symbols file.
  * Switch the transitional plasma-framework-dev build dependency to
    libkf5plasma-dev.
  * Use also the dh pkgkde_symbolshelper addon to handle symbols file with
    substitutions.
  * Update lintian overrides.
  * Use https in the watch file.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Dec 2017 13:58:04 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                libkf5i18n-dev (>= 5.0.0),
                libkf5iconthemes-dev (>= 5.0.0),
                libkf5kio-dev (>= 5.0.0),
+               libkf5plasma-dev,
                libkf5runner-dev (>= 5.0.0),
                libkf5textwidgets-dev (>= 5.0.0),
                libkf5widgetsaddons-dev (>= 5.0.0),
@@ -28,16 +29,16 @@
                libxapian-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               plasma-framework-dev,
                qtbase5-dev (>= 5.2.0),
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://cgit.kde.org/libqapt.git/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libqapt
 Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libqapt
 
 Package: libqapt3
+Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -162,24 +163,7 @@
 
 Package: gstreamer0.10-qapt
 Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: gstreamer-qapt (>= ${source:Version}), ${misc:Depends}
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
-
-Package: qapt-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libqapt3 (= ${binary:Version}), ${misc:Depends}
-Description: QApt debugging symbols
- QApt is a collection of tools and a library providing a wrapper around
- APT. The intention is to ease the use of APT in Qt-based programs.
- .
- This package contains debugging symbols for QApt.
- When QApt crashes, in most cases this package is
- needed to get a backtrace that is useful for developers. If you have
- experienced a QApt crash without this package
- installed, please install it, try to reproduce the problem and fill a bug
- report with a new backtrace attached.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
-	dh $@ --with kf5 --parallel
+	dh $@ --with kf5,pkgkde_symbolshelper --parallel
 
 override_dh_install:
 	dh_install --fail-missing

=== debian/watch ===
version=3
https://download.kde.org/stable/libqapt/([\d.]+)/src/libqapt-([\d.]+)\.tar\.xz

## libqapt 3.0.4.7

=== src/worker/CMakeLists.txt ===
configure_file(org.kubuntu.qaptworker.transaction.xml.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml)
configure_file(org.kubuntu.qaptworker.xml.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.xml)
configure_file(org.kubuntu.qaptworker.service.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.service)
configure_file(qaptworker.actions.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.actions)
configure_file(org.kubuntu.qaptworker.policy.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.policy)
configure_file(org.kubuntu.qaptworker.conf.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.conf)
configure_file(urihelper.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/urihelper.h)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src)

set(qapt_worker_SRCS
    main.cpp
    aptlock.cpp
    aptworker.cpp
    transaction.cpp
    transactionqueue.cpp
    workeracquire.cpp
    workerdaemon.cpp
    workerinstallprogress.cpp)

qt5_add_dbus_adaptor(qapt_worker_adaptor_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml
    transaction.h
    Transaction
    transactionadaptor
    TransactionAdaptor)

qt5_add_dbus_adaptor(qapt_worker_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.xml
    workerdaemon.h
    WorkerDaemon
    workeradaptor
    WorkerAdaptor)

add_executable(qaptworker${QAPT_WORKER_VERSION}
    ${qapt_worker_SRCS}
    ${qapt_worker_adaptor_SRCS})

target_link_libraries(qaptworker${QAPT_WORKER_VERSION}
    Qt5::Core
    Qt5::DBus
    PolkitQt5-1::Core
    util
    QApt::Main)

install(TARGETS qaptworker${QAPT_WORKER_VERSION} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.service
        DESTINATION ${DBUS_SYSTEM_SERVICES_INSTALL_DIR})

if(KF5Auth_FOUND)
    kauth_install_actions(${QAPT_WORKER_RDN_VERSIONED} ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.actions)
    # Add translations from other countries and regions to the policy file
    # This method is found by consulting build.make
    # but there are only Chinese and English in build.make and no other languages
    execute_process(COMMAND /usr/lib/kauth/libexec/kauth-policy-gen
        ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.actions
        ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.policy
    )

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.policy
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/polkit-1/actions)
else()
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.policy
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/polkit-1/actions)
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.conf
    DESTINATION ${SYSCONF_INSTALL_DIR}/dbus-1/system.d/)

=== debian/changelog ===
libqapt (3.0.4.7-1+deepin2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches
    + repair patch uniontech0002_change_authentication.patch

 -- zhangkai <zhangkai@uniontech.com>  Wes, 08 Dec 2021 9:15:32 +0800

libqapt (3.0.4.6-1+deepin2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches
    + Add patch uniontech0002_change_authentication.patch

 -- qinxialei <qinxialei@uniontecj.com>  Tue, 12 Oct 2021 19:51:32 +0800

libqapt (3.0.4.5-1+deepin2) unstable; urgency=medium

  * Add an interface for setting environment variables

 -- cuizhen <cuizhen@uniontech.com>  Mon, 19 Jul 2021 10:40:52 +0800

libqapt (3.0.4.4-1+deepin2) unstable; urgency=medium

  * add Translations
  * 

 -- cuizhen <cuizhen@uniontech.com>  Wed, 10 March 2021 09:41:45 +0800

libqapt (3.0.4.3-1+deepin2) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 03 Sep 2020 15:41:45 +0800

libqapt (3.0.4.2-1+deepin2) unstable; urgency=medium

  * Rebuild

 -- Packages <zs@deepin.com>  Thu, 21 Feb 2019 10:37:49 +0800

libqapt (3.0.4-2deepin) unstable; urgency=medium

  * add depend dde-polkit-agent

 -- Packages <zs@deepin.com>  Thu, 02 Aug 2018 13:15:32 +0800

libqapt (3.0.4-1deepin) unstable; urgency=medium

  * add patch

 -- Pino Toscano <zs@deepin.com>  Mon, 02 Jul 2018 19:25:27 +0800

libqapt (3.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Bump Standards-Version to 4.1.4, no changes required.
  * Switch from dh_install to dh_missing for --fail-missing.
  * Update install files.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Apr 2018 05:57:29 +0200

## libqapt 3.0.4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(PROJECT_VERSION_MAJOR 3)
 set(PROJECT_VERSION_MINOR 0)
-set(PROJECT_VERSION_PATCH 2)
+set(PROJECT_VERSION_PATCH 4)
 set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}" )
 set(PROJECT_SOVERSION ${PROJECT_VERSION_MAJOR})
 
@@ -19,8 +19,8 @@
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECMakeSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMGeneratePriFile) # This needs InstallDirs
 
 # Turn exceptions on
@@ -133,10 +133,7 @@
 
     #Do not remove or modify these.  The release script substitutes in for these
     #comments with appropriate doc and translation directories.
-    
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)
-
+    #PO_SUBDIR
     #DOC_SUBDIR
 endif()

=== debian/changelog ===
libqapt (3.0.4.8-1+deepin2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches
    + feature patch uniontech0003_add_interface_get_provides_version.patch

 -- wangzhengyang <wangzhengyang@uniontech.com>  Mon, 26 Dec 2022 9:15:32 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Maximiliano Curia <maxy@debian.org>,
            José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 0.0.14),
                libapt-pkg-dev (>= 0.8.0),
                libdebconf-kde-dev (>= 1.0.0),
@@ -32,17 +32,17 @@
                qtbase5-dev (>= 5.2.0),
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://cgit.kde.org/libqapt.git/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libqapt
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libqapt
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/qapt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/qapt.git
 
 Package: libqapt3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: apt-xapian-index, libqapt3-runtime (= ${binary:Version})
+Recommends: libqapt3-runtime (= ${binary:Version})
 Description: QApt library package
  LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
  implementation using libapt-pkg. The aim is to provide a sane API for
@@ -69,7 +69,7 @@
 
 Package: libqapt3-runtime
 Architecture: any
-Depends: polkit-kde-agent-1 | policykit-1-gnome,
+Depends: dde-polkit-agent | polkit-kde-agent-1 | policykit-1-gnome,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Runtime components for the QApt library
